function $AdfDhtmlChooseDateCompactMonthNavigationPanel$$() {
  $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$superclass$.constructor.call(this, "compactNavigator");
}
$goog$exportSymbol$$("AdfDhtmlChooseDateCompactMonthNavigationPanel", $AdfDhtmlChooseDateCompactMonthNavigationPanel$$);
$AdfObject$$.$createSubclass$($AdfDhtmlChooseDateCompactMonthNavigationPanel$$, $AdfDhtmlChooseDateNavigationPanelBase$$);
$AdfDhtmlChooseDateLayoutPanel$$.$registerLayoutPanel$($AdfDhtmlChooseDateCompactMonthNavigationPanel$$);
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$canProcessComponentEvent$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$$canProcessComponentEvent$$($component$$305$$, $componentEvent$$22$$) {
  $AdfAssert$$.$assertPrototype$($component$$305$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$22$$, $AdfComponentEvent$$);
  return $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$superclass$.$canProcessComponentEvent$.call(this, $component$$305$$, $componentEvent$$22$$) || $componentEvent$$22$$ instanceof $AdfValueChangeEvent$$ && !$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_suppressValueChangeHandling$($componentEvent$$22$$) && ($AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_eventSourceIsComponentWithId$($component$$305$$, $componentEvent$$22$$, $AdfDhtmlChooseDatePeer$$.$_CHOOSE_MONTH_ID$) || $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_eventSourceIsComponentWithId$($component$$305$$, 
  $componentEvent$$22$$, $AdfDhtmlChooseDatePeer$$.$_YEAR_SPIN_ID$)) ? !0 : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactMonthNavigationPanel.prototype.canProcessComponentEvent", {$canProcessComponentEvent$:$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$canProcessComponentEvent$});
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$getSubIdDomElement$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$$getSubIdDomElement$$($component$$306$$, $subElementId$$) {
  $AdfAssert$$.$assertPrototype$($component$$306$$, AdfRichChooseDate);
  $AdfAssert$$.$assertString$($subElementId$$);
  return $subElementId$$ == $AdfDhtmlChooseDatePeer$$.$_MONTH_SELECTOR_SUB_ID$ ? $AdfSubIdUtils$$.$getSubIdElementById$($component$$306$$, $AdfDhtmlChooseDatePeer$$.$_CHOOSE_MONTH_ID$) : $subElementId$$ == $AdfDhtmlChooseDatePeer$$.$_YEAR_SELECTOR_SUB_ID$ ? $AdfSubIdUtils$$.$getSubIdElementById$($component$$306$$, $AdfDhtmlChooseDatePeer$$.$_YEAR_SPIN_ID$) : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactMonthNavigationPanel.prototype.getSubIdDomElement", {$getSubIdDomElement$:$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$getSubIdDomElement$});
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$getBestMatchSubId$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$$getBestMatchSubId$$($component$$307$$, $domElement$$30$$) {
  $AdfAssert$$.$assertPrototype$($component$$307$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($domElement$$30$$);
  return $AdfSubIdUtils$$.$getSubIdElementById$($component$$307$$, $AdfDhtmlChooseDatePeer$$.$_CHOOSE_MONTH_ID$) == $domElement$$30$$ ? $AdfDhtmlChooseDatePeer$$.$_MONTH_SELECTOR_SUB_ID$ : $AdfSubIdUtils$$.$getSubIdElementById$($component$$307$$, $AdfDhtmlChooseDatePeer$$.$_YEAR_SPIN_ID$) == $domElement$$30$$ ? $AdfDhtmlChooseDatePeer$$.$_YEAR_SELECTOR_SUB_ID$ : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactMonthNavigationPanel.prototype.getBestMatchSubId", {$getBestMatchSubId$:$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$getBestMatchSubId$});
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$handleComponentValueChange$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$$handleComponentValueChange$$($component$$308$$, $componentEvent$$23$$) {
  return $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_eventSourceIsComponentWithId$($component$$308$$, $componentEvent$$23$$, $AdfDhtmlChooseDatePeer$$.$_CHOOSE_MONTH_ID$) ? $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_handleMonthSOCValueChange$($component$$308$$, $componentEvent$$23$$) : $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_eventSourceIsComponentWithId$($component$$308$$, $componentEvent$$23$$, $AdfDhtmlChooseDatePeer$$.$_YEAR_SPIN_ID$) ? $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_handleYearSpinnerValueChange$($component$$308$$, 
  $componentEvent$$23$$) : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactMonthNavigationPanel.prototype.handleComponentValueChange", {$handleComponentValueChange$:$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$handleComponentValueChange$});
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$ConstructNewRichComponents$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$$ConstructNewRichComponents$$($component$$309$$) {
  var $clientId$$46$$ = $component$$309$$.$getClientId$(), $components$$3$$ = [];
  $components$$3$$.push($AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_constructSelectOneChoiceComponent$($component$$309$$, $AdfRichUIPeer$$.$CreateSubId$($clientId$$46$$, $AdfDhtmlChooseDatePeer$$.$_CHOOSE_MONTH_ID$)));
  $components$$3$$.push($AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_constructNumberSpinBoxComponent$($component$$309$$, $AdfRichUIPeer$$.$CreateSubId$($clientId$$46$$, $AdfDhtmlChooseDatePeer$$.$_YEAR_SPIN_ID$)));
  return $components$$3$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactMonthNavigationPanel.prototype.ConstructNewRichComponents", {$ConstructNewRichComponents$:$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$ConstructNewRichComponents$});
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$UpdateGridHeader$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$$UpdateGridHeader$$($component$$310$$, $rootDOMElem$$, $monthGrid$$, $printMonthAndYear$$, $monthNames$$) {
  $AdfAssert$$.$assertPrototype$($component$$310$$, AdfRichChooseDate);
  $AdfAssert$$.$assertDomElement$($rootDOMElem$$);
  $AdfAssert$$.$assertDomElement$($monthGrid$$);
  $AdfAssert$$.$assertDate$($printMonthAndYear$$);
  $AdfAssert$$.$assertArray$($monthNames$$);
  var $year$$1$$ = $printMonthAndYear$$.getFullYear(), $month$$1$$ = $printMonthAndYear$$.getMonth(), $pivotMonthAndYear$$ = $AdfDhtmlChooseDateDOMQueries$$.$getRenderedMonthAndYear$($component$$310$$, $rootDOMElem$$);
  $pivotMonthAndYear$$.getMonth() == $month$$1$$ && $pivotMonthAndYear$$.getFullYear() == $year$$1$$ ? ($AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_updateMonthComponentValue$($component$$310$$, $month$$1$$), $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_updateYearComponentValue$($component$$310$$, $year$$1$$)) : $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$superclass$.$UpdateGridHeader$.call(this, $component$$310$$, $rootDOMElem$$, $monthGrid$$, $printMonthAndYear$$, $monthNames$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactMonthNavigationPanel.prototype.UpdateGridHeader", {$UpdateGridHeader$:$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$UpdateGridHeader$});
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$BuildCalendarLabelForMonth$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$$BuildCalendarLabelForMonth$$($component$$311$$, $cdRootElem$$, $laf$$7$$, $headerTableRow$$, $month$$2$$, $year$$2$$) {
  var $pivotMonthAndYear$$1$$ = $AdfDhtmlChooseDateDOMQueries$$.$getRenderedMonthAndYear$($component$$311$$, $cdRootElem$$);
  $pivotMonthAndYear$$1$$.getMonth() == $month$$2$$ && $pivotMonthAndYear$$1$$.getFullYear() == $year$$2$$ ? ($AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_buildMonthSelectionDropDown$($component$$311$$, $laf$$7$$, $headerTableRow$$), $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_buildYearSelectionSpinBox$($component$$311$$, $laf$$7$$, $headerTableRow$$)) : $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$superclass$.$BuildCalendarLabelForMonth$.call(this, $component$$311$$, $cdRootElem$$, 
  $laf$$7$$, $headerTableRow$$, $month$$2$$, $year$$2$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactMonthNavigationPanel.prototype.BuildCalendarLabelForMonth", {$BuildCalendarLabelForMonth$:$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$BuildCalendarLabelForMonth$});
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$ManipulateMonth$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$$ManipulateMonth$$($component$$312_delta$$5$$, $cdRootElem$$1$$, $currentMonthYear_year$$3$$, $increment$$1_yearDeltaChange$$) {
  $AdfAssert$$.$assertPrototype$($component$$312_delta$$5$$, AdfRichChooseDate);
  $AdfAssert$$.$assertBoolean$($increment$$1_yearDeltaChange$$);
  var $month$$3$$ = $currentMonthYear_year$$3$$.getMonth();
  $currentMonthYear_year$$3$$ = $currentMonthYear_year$$3$$.getFullYear();
  $component$$312_delta$$5$$ = Math.min(12, $AdfDhtmlChooseDateDOMQueries$$.$getMonthsToDisplay$($component$$312_delta$$5$$, $cdRootElem$$1$$));
  $month$$3$$ = $increment$$1_yearDeltaChange$$ ? $month$$3$$ + $component$$312_delta$$5$$ : $month$$3$$ - $component$$312_delta$$5$$;
  $increment$$1_yearDeltaChange$$ = 0;
  0 > $month$$3$$ ? ($month$$3$$ += 12, $increment$$1_yearDeltaChange$$ = -1) : 11 < $month$$3$$ && ($month$$3$$ -= 12, $increment$$1_yearDeltaChange$$ = 1);
  $increment$$1_yearDeltaChange$$ && ($currentMonthYear_year$$3$$ += $increment$$1_yearDeltaChange$$);
  return {month:$month$$3$$, year:$currentMonthYear_year$$3$$};
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateCompactMonthNavigationPanel.prototype.ManipulateMonth", {$ManipulateMonth$:$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.prototype.$ManipulateMonth$});
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_updateMonthComponentValue$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_updateMonthComponentValue$$($component$$313$$, $month$$4$$) {
  $AdfAssert$$.$assertPrototype$($component$$313$$, AdfRichChooseDate);
  $AdfAssert$$.$assertNumber$($month$$4$$);
  var $chooseMonthSOCComponent_chooseMonthSubId_clientId$$47$$ = $component$$313$$.$getClientId$(), $chooseMonthSOCComponent_chooseMonthSubId_clientId$$47$$ = $AdfRichUIPeer$$.$CreateSubId$($chooseMonthSOCComponent_chooseMonthSubId_clientId$$47$$, $AdfDhtmlChooseDatePeer$$.$_CHOOSE_MONTH_ID$);
  ($chooseMonthSOCComponent_chooseMonthSubId_clientId$$47$$ = $AdfPage$$.$PAGE$.$findComponent$($chooseMonthSOCComponent_chooseMonthSubId_clientId$$47$$)) && $month$$4$$ != $chooseMonthSOCComponent_chooseMonthSubId_clientId$$47$$.getValue() && ($chooseMonthSOCComponent_chooseMonthSubId_clientId$$47$$.$_ignoreVCE$ = !0, $chooseMonthSOCComponent_chooseMonthSubId_clientId$$47$$.setProperty("value", "" + ($month$$4$$ + 12) % 12));
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_updateYearComponentValue$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_updateYearComponentValue$$($component$$314$$, $year$$4$$) {
  $AdfAssert$$.$assertPrototype$($component$$314$$, AdfRichChooseDate);
  $AdfAssert$$.$assertNumber$($year$$4$$);
  var $chooseYearSubId_clientId$$48_yrSpinboxComponent$$ = $component$$314$$.$getClientId$(), $chooseYearSubId_clientId$$48_yrSpinboxComponent$$ = $AdfRichUIPeer$$.$CreateSubId$($chooseYearSubId_clientId$$48_yrSpinboxComponent$$, $AdfDhtmlChooseDatePeer$$.$_YEAR_SPIN_ID$);
  if ($chooseYearSubId_clientId$$48_yrSpinboxComponent$$ = $AdfPage$$.$PAGE$.$findComponent$($chooseYearSubId_clientId$$48_yrSpinboxComponent$$)) {
    var $cdRootElem$$2_max$$ = $chooseYearSubId_clientId$$48_yrSpinboxComponent$$.getMaximum(), $min$$ = $chooseYearSubId_clientId$$48_yrSpinboxComponent$$.getMinimum();
    $min$$ && $year$$4$$ < $min$$ || $cdRootElem$$2_max$$ && $year$$4$$ > $cdRootElem$$2_max$$ || ($cdRootElem$$2_max$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$314$$), $AdfDhtmlChooseDateDOMQueries$$.$isThaiBuddhistCalendar$($component$$314$$, $cdRootElem$$2_max$$) && ($year$$4$$ += $AdfDhtmlChooseDatePeer$$.$_THAI_BUDDHIST_YEAR_OFFSET$), $year$$4$$ != $chooseYearSubId_clientId$$48_yrSpinboxComponent$$.getValue() && ($chooseYearSubId_clientId$$48_yrSpinboxComponent$$.$_ignoreVCE$ = 
    !0, $chooseYearSubId_clientId$$48_yrSpinboxComponent$$.setProperty("value", "" + $year$$4$$)));
  }
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_handleMonthSOCValueChange$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_handleMonthSOCValueChange$$($component$$315$$, $valueChangeEvent$$) {
  $AdfAssert$$.$assertPrototype$($component$$315$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($valueChangeEvent$$, $AdfValueChangeEvent$$);
  var $cdRootElem$$3_renderMonthAndYear$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$315$$), $cdRootElem$$3_renderMonthAndYear$$ = $AdfDhtmlChooseDateDOMQueries$$.$getRenderedMonthAndYear$($component$$315$$, $cdRootElem$$3_renderMonthAndYear$$);
  $AdfAssert$$.assert($cdRootElem$$3_renderMonthAndYear$$.getMonth() == $valueChangeEvent$$.$getOldValue$(), "Rendered month and old value of month change event do not match");
  $cdRootElem$$3_renderMonthAndYear$$.setMonth(parseInt($valueChangeEvent$$.$getNewValue$()));
  $AdfChooseDateMonthSelectionEvent$$.$queue$($component$$315$$, $cdRootElem$$3_renderMonthAndYear$$);
  return !0;
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_handleYearSpinnerValueChange$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_handleYearSpinnerValueChange$$($component$$316$$, $valueChangeEvent$$1$$) {
  $AdfAssert$$.$assertPrototype$($component$$316$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($valueChangeEvent$$1$$, $AdfValueChangeEvent$$);
  var $cdRootElem$$4$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$316$$), $renderMonthAndYear$$1$$ = $AdfDhtmlChooseDateDOMQueries$$.$getRenderedMonthAndYear$($component$$316$$, $cdRootElem$$4$$), $oldYear$$ = parseInt($valueChangeEvent$$1$$.$getOldValue$()), $defaultDate_newYear$$ = parseInt($valueChangeEvent$$1$$.$getNewValue$());
  isNaN($defaultDate_newYear$$) && ($defaultDate_newYear$$ = ($defaultDate_newYear$$ = $component$$316$$.getDefaultValue()) ? $defaultDate_newYear$$.getFullYear() : (new Date).getFullYear());
  $AdfDhtmlChooseDateDOMQueries$$.$isThaiBuddhistCalendar$($component$$316$$, $cdRootElem$$4$$) && ($oldYear$$ -= $AdfDhtmlChooseDatePeer$$.$_THAI_BUDDHIST_YEAR_OFFSET$, $defaultDate_newYear$$ -= $AdfDhtmlChooseDatePeer$$.$_THAI_BUDDHIST_YEAR_OFFSET$);
  $AdfAssert$$.assert(!isNaN($oldYear$$) && $renderMonthAndYear$$1$$.getFullYear() == $oldYear$$, "Rendered year and old value of year change event do not match");
  $renderMonthAndYear$$1$$.setFullYear($defaultDate_newYear$$);
  $AdfChooseDateYearSelectionEvent$$.$queue$($component$$316$$, $renderMonthAndYear$$1$$);
  return !0;
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_eventSourceIsComponentWithId$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_eventSourceIsComponentWithId$$($compSubId_component$$317$$, $componentEvent$$24_sourceId$$, $subComponentId$$) {
  $componentEvent$$24_sourceId$$ = $componentEvent$$24_sourceId$$.getSource().$getClientId$();
  $compSubId_component$$317$$ = $AdfRichUIPeer$$.$CreateSubId$($compSubId_component$$317$$.$getClientId$(), $subComponentId$$);
  return $componentEvent$$24_sourceId$$ == $compSubId_component$$317$$;
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_suppressValueChangeHandling$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_suppressValueChangeHandling$$($componentEvent$$25$$) {
  $AdfAssert$$.$assertPrototype$($componentEvent$$25$$, $AdfValueChangeEvent$$);
  return 1 == $componentEvent$$25$$.getSource().$_ignoreVCE$ ? (delete $componentEvent$$25$$.getSource().$_ignoreVCE$, !0) : !1;
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_buildMonthSelectionDropDown$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_buildMonthSelectionDropDown$$($clientId$$49_component$$318$$, $laf$$8_selectMonthSpan$$, $monthSocColumn_panelRootElement$$) {
  $monthSocColumn_panelRootElement$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("td", {}, $monthSocColumn_panelRootElement$$);
  var $cdRootElem$$5_showDate$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($clientId$$49_component$$318$$), $monthSelectItems$$ = $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_getMonthsAsSelectItems$($clientId$$49_component$$318$$, $cdRootElem$$5_showDate$$), $cdRootElem$$5_showDate$$ = $AdfDhtmlChooseDateDOMQueries$$.$getRenderedMonthAndYear$($clientId$$49_component$$318$$, $cdRootElem$$5_showDate$$);
  $clientId$$49_component$$318$$ = $clientId$$49_component$$318$$.$getClientId$();
  $laf$$8_selectMonthSpan$$ = $AdfDhtmlChooseDateDOMUtils$$.$buildSelectOneChoiceElement$($AdfRichUIPeer$$.$CreateSubId$($clientId$$49_component$$318$$, $AdfDhtmlChooseDatePeer$$.$_CHOOSE_MONTH_ID$), $laf$$8_selectMonthSpan$$.getStyleClass("af|chooseDate::choice-list-content"), $laf$$8_selectMonthSpan$$.$getTranslatedString$("af_chooseDate.LABEL_SELECT_MONTH"), $monthSelectItems$$, $cdRootElem$$5_showDate$$.getMonth());
  $monthSocColumn_panelRootElement$$.appendChild($laf$$8_selectMonthSpan$$);
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_getMonthsAsSelectItems$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_getMonthsAsSelectItems$$($component$$319$$, $cdRootElem$$6$$) {
  for (var $monthNames$$1$$ = $AdfDhtmlChooseDateDOMQueries$$.$getLocaleSymbols$($component$$319$$, $cdRootElem$$6$$).getMonths().slice(0, 12), $monthSelectItems$$1$$ = [], $i$$160$$ = 0;$i$$160$$ < $monthNames$$1$$.length;$i$$160$$++) {
    var $selectItem$$1$$ = {};
    $selectItem$$1$$[$i$$160$$] = $monthNames$$1$$[$i$$160$$];
    $monthSelectItems$$1$$.push($selectItem$$1$$);
  }
  return $monthSelectItems$$1$$;
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_buildYearSelectionSpinBox$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_buildYearSelectionSpinBox$$($clientId$$50_component$$320$$, $laf$$9_selectYearSpinbox$$, $panelRootElement$$1_yearSpinboxColumn$$) {
  $panelRootElement$$1_yearSpinboxColumn$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("td", {"class":$laf$$9_selectYearSpinbox$$.getStyleClass("af|chooseDate::year-selector-cell")}, $panelRootElement$$1_yearSpinboxColumn$$);
  var $cdRootElem$$7_selectedYear$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($clientId$$50_component$$320$$), $cdRootElem$$7_selectedYear$$ = $AdfDhtmlChooseDateDOMQueries$$.$getRenderedMonthAndYear$($clientId$$50_component$$320$$, $cdRootElem$$7_selectedYear$$).getFullYear() + ($AdfDhtmlChooseDateDOMQueries$$.$isThaiBuddhistCalendar$($clientId$$50_component$$320$$, $cdRootElem$$7_selectedYear$$) ? $AdfDhtmlChooseDatePeer$$.$_THAI_BUDDHIST_YEAR_OFFSET$ : 0);
  $clientId$$50_component$$320$$ = $clientId$$50_component$$320$$.$getClientId$();
  $laf$$9_selectYearSpinbox$$ = $AdfDhtmlChooseDateDOMUtils$$.$buildNumberSpinboxElement$($AdfRichUIPeer$$.$CreateSubId$($clientId$$50_component$$320$$, $AdfDhtmlChooseDatePeer$$.$_YEAR_SPIN_ID$), $cdRootElem$$7_selectedYear$$, $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_MIN_YEAR$, $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_MAX_YEAR$, $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_YEAR_SPINNER_DIGITS$, !0, $laf$$9_selectYearSpinbox$$.$getTranslatedString$("af_chooseDate.LABEL_SELECT_YEAR"), 
  $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_constructNumberConverterForYearSpinBox$());
  $panelRootElement$$1_yearSpinboxColumn$$.appendChild($laf$$9_selectYearSpinbox$$);
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_constructSelectOneChoiceComponent$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_constructSelectOneChoiceComponent$$($component$$321$$, $clientId$$51$$) {
  return new AdfRichSelectOneChoice($clientId$$51$$, {simple:!0}, 1);
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_constructNumberSpinBoxComponent$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_constructNumberSpinBoxComponent$$($component$$322$$, $clientId$$52$$) {
  return new AdfRichInputNumberSpinbox($clientId$$52$$, {minimum:$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_MIN_YEAR$, maximum:$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_MAX_YEAR$, converter:$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_constructNumberConverterForYearSpinBox$()}, 1);
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_constructNumberConverterForYearSpinBox$ = function $$AdfDhtmlChooseDateCompactMonthNavigationPanel$$$$_constructNumberConverterForYearSpinBox$$() {
  $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_numberConverter$ || ($AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_numberConverter$ = new TrNumberConverter(null, "number", null, null, !1, !0, !1, null, null, null, null, null, $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_YEAR_SPINNER_DIGITS$, null, null));
  return $AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_numberConverter$;
};
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_MIN_YEAR$ = 1;
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_MAX_YEAR$ = 9999;
$AdfDhtmlChooseDateCompactMonthNavigationPanel$$.$_YEAR_SPINNER_DIGITS$ = 4;
